Summary:	Free high-fidelity Windows and multi-platform appearance
Name:		jgoodies-looks
Version:	2.4.2
Release:	%mkrel 2
Group:		Development/Java
License:	BSD
URL:		http://www.jgoodies.com/freeware/looks/
# Unfortunately, the filename has the version in an annoying way
Source0:	http://www.jgoodies.com/download/libraries/looks/jgoodies-looks-2_4_2.zip
Source1:	jgoodies-looks-pom-template.xml
Source2:	jgoodies-plastic-pom-template.xml
Source3:	jgoodies-looks-win-pom-template.xml

# Source1: %{name}.README
BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	java-rpmbuild >= 0:1.4
BuildRequires:	ant
BuildRequires:	jgoodies-common
Requires:	java >= 0:1.4
Requires:	jgoodies-common
Requires:	jpackage-utils
BuildArch:	noarch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

Main Benefits:

* Improved readability, legibility and in turn usability.
* Improved aesthetics - looks good on the majority of desktops
* Simplified multi-platform support
* Precise micro-design

%package javadoc
Summary:	Javadoc documentation for JGoodies Looks
Group:		Development/Java

%description javadoc
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

This package contains the Javadoc documentation for JGoodies Looks.

%prep
%setup -q -n %{name}-%{version}

# unzip the look&feel settings from bundled jar before we delete it
# (taken from Gentoo ebuild)
unzip -j %{name}-%{version}.jar META-INF/services/javax.swing.LookAndFeel \
|| die "unzip of javax.swing.LookAndFeel failed"
# and rename it to what build.xml expects
mv javax.swing.LookAndFeel all.txt

# Delete pre-generated stuff we don't want
find -name "*.jar" -exec rm -f {} \;
rm -r docs/api

%build
%ant \
  -Dlib.common.jar=$(build-classpath jgoodies-common) \
  -Ddescriptors.dir=. compile jar javadoc

%install
install -dp %{buildroot}%{_javadir} \
        %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -p build/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
# install -m 644 %SOURCE1 README_RPM.txt
# Fix the line endings!
for file in *.txt *.html docs/*.* docs/guide/*.*; do
    sed -i 's/\r//' $file
done
cd %{buildroot}%{_javadocdir}
ln -s %{name}-%{version} %{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap jgoodies looks %{version} JPP %{name}

install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-jgoodies-plastic.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-jgoodies-plastic.pom
%add_to_maven_depmap jgoodies plastic %{version} JPP %{name}

install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}-win.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}-win.pom
%add_to_maven_depmap jgoodies looks-win %{version} JPP %{name}

rm -f %{buildroot}%{_javadocdir}/.mfiles

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc RELEASE-NOTES.txt LICENSE.txt README.html docs/
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.4.2-2.mga3
+ Revision: 355386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 2.4.2-1.mga3
+ Revision: 331478
- update file list
- update file list
- new version 2.4.2

* Fri Oct 21 2011 gil <gil> 2.4.1-1.mga2
+ Revision: 157169
- edit spec file
- added maven2 poms

* Wed Jul 06 2011 grenoya <grenoya> 2.4.1-0.0.4.mga2
+ Revision: 119500
- upgrade sources to 2.4.1
- remove patch #0
- remove unneeded define due to change of sources name

* Sat Mar 05 2011 grenoya <grenoya> 2.2.1-0.0.4.mga1
+ Revision: 64851
- imported package jgoodies-looks

